FROM python:3.9

# Install python3
RUN apt-get update
RUN apt-get install -y python3
RUN apt-get install -y git

# Invalidate cache
ARG CACHEBUST=1

# Copy html
RUN git clone http://gitea.bvn13.me/bvn13/bvn13-me.git /app
RUN ls -la /
RUN ls -la /app
RUN ls -la /app/src
WORKDIR /app/src

# Run http server on port 8080
EXPOSE  8080
CMD ["python3", "-m", "http.server", "8080"]
